#
# spec file for package openswan (Version 2.4.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs diffutils file filesystem fillup findutils fltk fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale gmp gmp-devel grep groff gzip htmldoc info insserv less libacl libattr libbz2-1 libbz2-devel libcurl-devel libcurl4 libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libidn libidn-devel libjpeg libjpeg-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpcap libpcap-devel libpng libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers lynx m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xli xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           openswan
BuildRequires:  curl-devel gmp-devel htmldoc libjpeg-devel libpcap-devel lynx xorg-x11-devel
Version:        2.4.7
Release:        64.6
%define irel  2.4.7
License:        GPL v2 or later
Group:          Productivity/Networking/Security
Summary:        IPsec Implementation which Allows Building of VPNs
Url:            http://www.openswan.org/
Provides:       pluto klips ipsec VPN freeswan
Obsoletes:      freeswan
PreReq:         gmp %insserv_prereq %fillup_prereq perl
Requires:       ipsec-tools iproute2
AutoReqProv:    on
Source:         http://www.openswan.org/download/%{name}-%{irel}.tar.gz
Source1:        http://www.openswan.org/download/%{name}-%{irel}.tar.gz.asc
Source10:       openswan.README.SUSE
Source30:       openswan.ipsec_1_to_2.pl
Source31:       sysconfig.network.scripts.openswan
Source32:       sysconfig.network.scripts.openswan-functions
Source33:       openswan.ip-up
#
Patch0:         openswan_00_features.dif
Patch1:         openswan_01_paths.dif
Patch2:         openswan_02_paths-lib64.dif
Patch3:         openswan_03_paths-docs.dif
Patch4:         openswan_04_rpmoptflags.dif
Patch6:         openswan_06_fix-perms.dif
Patch7:         openswan_07_doc-install.dif
Patch8:         openswan_08_doc-man2html.dif
Patch9:         openswan_09_doc-fixes.dif
#
Patch11:        openswan_11_gcc4cvshead.dif
Patch12:        openswan_12_gcc4sign.dif
Patch13:        openswan_13_strfix.dif
Patch15:        openswan_15_crypto_helper_fix.dif
Patch16:        openswan_16_crypto_inline_fallback.dif
#
Patch22:        openswan_22_send-notifications.dif
Patch23:        openswan_23_msl2tp-payload-malformed-workaround.dif
Patch24:        openswan_24_noaggressive.dif
#
Patch31:        openswan_31_autoleft.dif
Patch32:        openswan_32_updown-nexthop.dif
Patch33:        openswan_33_updown-srcmask.dif
Patch34:        openswan_34_startalways.dif
#
Patch40:        openswan_40_rcscript.dif
Patch41:        openswan_41_preconfig.dif
Patch42:        openswan_42_plutowait-yes.dif
#
Patch50:        openswan-2.x.x-dpd_null_state.patch
Patch51:        openswan-2.4.x-asn1.patch
Patch52:        openswan-2.4.x-asn1_length.patch
#
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OpenS/WAN is the successor of FreeS/WAN.

OpenS/WAN is an IPsec implementation which allows building Virtual
Private Networks (VPNs). A typical VPN setup consists of two trusted
networks connected over an insecure network, typically the Internet.
OpenS/WAN allows you to create an encrypted tunnel through the insecure
area. Unlike CIPE, it is interoperable with other operating systems or
even router IPsec implementations



Authors:
--------
    John Gilmore <gnu@toad.com>
    Henry Spencer <henry@spsystems.net>
    Richard Guy Briggs <rgb@conscoop.ottawa.on.ca>
    Hugh Redelmeier <hugh@mimosa.com>
    Sandy Harris <sandy.harris@sympatico.ca>
    Hugh Daniels <hugh@toad.com>

%debug_package
%package doc
License:        GPL v2 or later
Summary:        OpenSWAN documentation
Group:          Productivity/Networking/Security

%description doc
This package provides OpenSWAN HTML documentation and development
(section 3) manual pages.



Authors:
--------
    John Gilmore <gnu@toad.com>
    Henry Spencer <henry@spsystems.net>
    Richard Guy Briggs <rgb@conscoop.ottawa.on.ca>
    Hugh Redelmeier <hugh@mimosa.com>
    Sandy Harris <sandy.harris@sympatico.ca>
    Hugh Daniels <hugh@toad.com>

%prep
%setup -q -n %{name}-%{irel}
#
%patch0
%patch1
%patch2
%patch3
%patch4
%patch6
%patch7
%patch8
%patch9
#
%patch11
%patch12
%patch13
%patch15
%patch16
#
%patch22
%patch23
%patch24
#
%patch31
%patch32
%patch33
%patch34
#
%patch40
%patch41
%patch42
#
%patch50 -p1
%patch51 -p1
%patch52 -p1
#

%build
make programs prefix=%{prefix} LIBD=%{_lib} RPM_OPT_FLAGS="$RPM_OPT_FLAGS -W"
test -e programs/pluto/pluto

%install
make install prefix=%{prefix} LIBD=%{_lib} DESTDIR=$RPM_BUILD_ROOT
ln -sf /etc/init.d/ipsec ${RPM_BUILD_ROOT}%{prefix}/sbin/rcipsec
touch $RPM_BUILD_ROOT/etc/ipsec.secrets
#
install -m 755 %{SOURCE30} ${RPM_BUILD_ROOT}%{prefix}/lib/ipsec/ipsec_1_to_2.pl
install -d -m 755 %{buildroot}/etc/sysconfig/network/{scripts,if-up.d,if-down.d}
install -m 755 %{SOURCE31} %{buildroot}/etc/sysconfig/network/scripts/freeswan
install -m 644 %{SOURCE32} %{buildroot}/etc/sysconfig/network/scripts/freeswan-functions
ln -s ../scripts/freeswan %{buildroot}/etc/sysconfig/network/if-up.d/freeswan
ln -s ../scripts/freeswan %{buildroot}/etc/sysconfig/network/if-down.d/freeswan
# ip-up script (#39048)
install -d -m 755 %{buildroot}/etc/ppp/ip-{up,down}.d
install -m 755 %{SOURCE33} %{buildroot}/etc/ppp/ip-up.d/freeswan
ln -s ../ip-up.d/freeswan %{buildroot}/etc/ppp/ip-down.d/freeswan
#cd ${RPM_BUILD_ROOT}/%{_docdir}/%{name}
#chmod -x *.html *.txt *.ps *.pdf man/*.html
install -m 644 %SOURCE10 %{buildroot}/%{_docdir}/%{name}/README.SUSE
install -m 644 programs/_confread/README.conf.V2 %{buildroot}/%{_docdir}/%{name}/
install -m 644 BUGS CHANGES CREDITS README %{buildroot}%{_docdir}/%{name}/
install -m 644 COPYING LICENSE ROADMAP.txt %{buildroot}%{_docdir}/%{name}/
install -m 644 docs/debugging-tcpdump.txt  %{buildroot}%{_docdir}/%{name}/
install -m 644 docs/KNOWN_BUGS             %{buildroot}%{_docdir}/%{name}/
install -m 644 docs/RELEASE-NOTES.txt      %{buildroot}%{_docdir}/%{name}/
rm -f %{buildroot}%{_docdir}/%{name}/GOING-AWAY
rm -f %{buildroot}%{_docdir}/%{name}/doxygen.cfg
rm -f %{buildroot}%{_docdir}/%{name}/impl.notes
rm -f %{buildroot}/etc/rc?.d/[KS]*ipsec
#
base="${RPM_BUILD_ROOT}%{_mandir}"
rm -f ${base}/man5/pf_key.5.gz
rm -f ${base}/man8/ipsec_ipsec.8.gz
rm -f ${base}/man5/ipsec_ipsec.secrets.5.gz
rm -f ${base}/man5/ipsec_ipsec.conf.5.gz
#
base="${RPM_BUILD_ROOT}%{_docdir}/%{name}"
rm -f ${base}/manpage.d/ipsec_version_code.3.html
ln -s ipsec_version.3.html ${base}/manpage.d/ipsec_version_code.3.html
rm -f ${base}/manpage.d/ipsec_version_string.3.html
ln -s ipsec_version.3.html ${base}/manpage.d/ipsec_version_string.3.html
rm -f ${base}/manpage.d/ipsec_ultot.3.html
ln -s ipsec_ttoul.3.html ${base}/manpage.d/ipsec_ultot.3.html
rm -f ${base}/manpage.d/ipsec_tnatoaddr.3.html
ln -s ipsec_subnettot.3.html ${base}/manpage.d/ipsec_tnatoaddr.3.html
rm -f ${base}/manpage.d/ipsec_ttoaddr.3.html
ln -s ipsec_subnettot.3.html ${base}/manpage.d/ipsec_ttoaddr.3.html
rm -f ${base}/manpage.d/ipsec_subnetishost.3.html
ln -s ipsec_subnetinsubnet.3.html ${base}/manpage.d/ipsec_subnetishost.3.html
rm -f ${base}/manpage.d/ipsec_setportof.3.html
ln -s ipsec_sockaddrlenof.3.html  ${base}/manpage.d/ipsec_setportof.3.html
rm -f ${base}/manpage.d/ipsec_sameaddrtype.3.html
ln -s ipsec_sameaddr.3.html ${base}/manpage.d/ipsec_sameaddrtype.3.html
rm -f ${base}/manpage.d/ipsec_samesaid.3.html
ln -s ipsec_sameaddr.3.html ${base}/manpage.d/ipsec_samesaid.3.html
rm -f ${base}/manpage.d/ipsec_samesubnet.3.html
ln -s ipsec_sameaddr.3.html ${base}/manpage.d/ipsec_samesubnet.3.html
rm -f ${base}/manpage.d/ipsec_prng_init.3.html
ln -s ipsec_prng.3.html ${base}/manpage.d/ipsec_prng_init.3.html
rm -f ${base}/manpage.d/ipsec_prng_bytes.3.html
ln -s ipsec_prng.3.html ${base}/manpage.d/ipsec_prng_bytes.3.html
rm -f ${base}/manpage.d/ipsec_prng_final.3.html
ln -s ipsec_prng.3.html ${base}/manpage.d/ipsec_prng_final.3.html
rm -f ${base}/manpage.d/ipsec_maskof.3.html
ln -s ipsec_networkof.3.html ${base}/manpage.d/ipsec_maskof.3.html
rm -f ${base}/manpage.d/ipsec_masktocount.3.html
ln -s ipsec_networkof.3.html ${base}/manpage.d/ipsec_masktocount.3.html
rm -f ${base}/manpage.d/ipsec_isloopbackaddr.3.html
ln -s ipsec_isanyaddr.3.html ${base}/manpage.d/ipsec_isloopbackaddr.3.html
rm -f ${base}/manpage.d/ipsec_atosubnet.3.html
ln -s ipsec_atoaddr.3.html ${base}/manpage.d/ipsec_atosubnet.3.html
rm -f ${base}/manpage.d/ipsec_addrbytesptr.3.html
ln -s ipsec_addrlenof.3.html ${base}/manpage.d/ipsec_addrbytesptr.3.html
rm -f ${base}/manpage.d/ipsec_addrbytesof.3.html
ln -s ipsec_addrlenof.3.html ${base}/manpage.d/ipsec_addrbytesof.3.html
rm -f ${base}/manpage.d/ipsec_addrinsubnet.3.html
ln -s ipsec_addrcmp.3.html ${base}/manpage.d/ipsec_addrinsubnet.3.html
rm -f ${base}/manpage.d/ipsec_sockaddrlenof.3.html
ln -s ipsec_sockaddrof.3.html ${base}/manpage.d/ipsec_sockaddrlenof.3.html
rm -f ${base}/manpage.d/ipsec_isanyaddr.3.html
ln -s ipsec_isunspecaddr.3.html ${base}/manpage.d/ipsec_isanyaddr.3.html
rm -f ${base}/manpage.d/ipsec_loopbackaddr.3.html
ln -s ipsec_isunspecaddr.3.html ${base}/manpage.d/ipsec_loopbackaddr.3.html
rm -f ${base}/manpage.d/ipsec_addrlenof.3.html
ln -s ipsec_addrtypeof.3.html ${base}/manpage.d/ipsec_addrlenof.3.html
rm -f ${base}/manpage.d/ipsec_goodmask.3.html
ln -s ipsec_bitstomask.3.html ${base}/manpage.d/ipsec_goodmask.3.html
rm -f ${base}/manpage.d/ipsec_broadcastof.3.html
ln -s ipsec_hostof.3.html ${base}/manpage.d/ipsec_broadcastof.3.html
rm -f ${base}/manpage.d/ipsec_addrtoa.3.html
ln -s ipsec_atoaddr.3.html ${base}/manpage.d/ipsec_addrtoa.3.html
# remove moot livetest tool completely... CVE-2008-4190
find "%{buildroot}/" -name "*livetest*" -exec rm -vf \{\} \;

%files
%defattr(-,root,root)
/usr/sbin/ipsec
/usr/sbin/rcipsec
/usr/lib/ipsec
%if "%{_lib}" != "lib"
/usr/%{_lib}/ipsec/
%endif
%config /etc/init.d/ipsec
%attr(600,root,root) %config(noreplace) /etc/ipsec.secrets
#%attr(600,root,root) %config /etc/ipsec.secrets.rpmbuild
%config(noreplace) /etc/ipsec.conf
%dir /etc/ipsec.d/
%dir /etc/ipsec.d/cacerts
%dir /etc/ipsec.d/certs
%dir /etc/ipsec.d/crls
/etc/ipsec.d/policies
/etc/ipsec.d/examples
/etc/sysconfig/network/scripts/*
/etc/sysconfig/network/if-up.d/freeswan
/etc/sysconfig/network/if-down.d/freeswan
/etc/ppp/ip-up.d/freeswan
/etc/ppp/ip-down.d/freeswan
%dir %attr(700,root,root) /etc/ipsec.d/private
%doc %{_mandir}/man8/ipsec*
%doc %{_mandir}/man5/ipsec*
%doc %{_mandir}/man5/pf*
%dir %doc %{_docdir}/%{name}
%doc %{_docdir}/%{name}/BUGS
%doc %{_docdir}/%{name}/CHANGES
%doc %{_docdir}/%{name}/CREDITS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/LICENSE
%doc %{_docdir}/%{name}/ROADMAP.txt
%doc %{_docdir}/%{name}/README*
%doc %{_docdir}/%{name}/ALG-TODO
%doc %{_docdir}/%{name}/CHANGES.x509
%doc %{_docdir}/%{name}/CREDITS.freeswan
%doc %{_docdir}/%{name}/KNOWN_BUGS
%doc %{_docdir}/%{name}/RELEASE-NOTES.txt
%doc %{_docdir}/%{name}/2.6.known-issues
%doc %{_docdir}/%{name}/prob.report
%doc %{_docdir}/%{name}/kernel.notes
%doc %{_docdir}/%{name}/iab-iesg.stmt
%doc %{_docdir}/%{name}/ipsec.conf-sample
%doc %{_docdir}/%{name}/ipsec.conf.2_to_1
%doc %{_docdir}/%{name}/debugging-tcpdump.txt

%files doc
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}
%doc %{_docdir}/%{name}/oppimpl.txt
%doc %{_docdir}/%{name}/opportunism*
%doc %{_docdir}/%{name}/*.html
%doc %{_docdir}/%{name}/manpage.d
%doc %{_mandir}/man3/ipsec*

%clean
test -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" || rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv ipsec}
if test ! -s etc/ipsec.secrets; then
  echo "Generating new rsasigkey for ipsec.secrets ..."
  cat >etc/ipsec.secrets.tmp << EOF
# This file holds shared secrets or RSA private keys for inter-Pluto
# authentication.  See ipsec_pluto(8) manpage, and HTML documentation.
#
# RSA private key for this host, authenticating it to any other host
# which knows the public part.  Suitable public keys, for ipsec.conf, DNS,
# or configuration of other implementations, can be extracted conveniently
# with "ipsec showhostkey".
EOF
  echo ': RSA	{' >> etc/ipsec.secrets.tmp
%ifarch s390 s390x ppc ppc64 ia64
  # S/390(x), PPC(64), ia64 kernels do not generate enough entropy even during an
  # installation(!) to produce good random numbers for the RSA key generation.
  # Defer to sysadmin.
  echo ""
  echo "# S/390(x), PPC(64) and ia64 do not reliably offer enough entropy :-("
  #if usr/lib/ipsec/rsasigkey --random dev/urandom 2048 >> etc/ipsec.secrets.tmp; then
  if false; then
%else
  if usr/%{_lib}/ipsec/rsasigkey 2048 >> etc/ipsec.secrets.tmp; then
%endif
    echo '  }' >> etc/ipsec.secrets.tmp
    echo '# do not change the indenting of that "}"' >> etc/ipsec.secrets.tmp
    chmod 600 etc/ipsec.secrets.tmp
    mv -f etc/ipsec.secrets.tmp etc/ipsec.secrets
  else
    rm -f etc/ipsec.secrets.tmp
    echo -e "\e[31m IPsec RSA signature key could not be generated!\e[m\017"
    echo " Generate one manually with \"ipsec newhostkey --output /etc/ipsec.secrets\""
    echo " Generate an RSA key with \"ipsec newhostkey --output /etc/ipsec.secrets\"" >etc/ipsec.secrets
    echo " Make sure, your kernel has enough entropy by e.g. using the keyboard." >>etc/ipsec.secrets
  fi
else
  echo "Leave old IPsec RSA signature key untouched."
  # Remove empty ipsec.secrets.rpmnew
  if test -e etc/ipsec.secrets.rpmnew -a ! -s etc/ipsec.secrets.rpmnew; then
    rm etc/ipsec.secrets.rpmnew
  fi
fi
if ! grep -q "version[	 ]*2\.0" /etc/ipsec.conf; then
  echo "Migrate config to v2.0 ..."
  mv --backup=numbered /etc/ipsec.conf /etc/ipsec.conf.v1
  /usr/lib/ipsec/ipsec_1_to_2.pl </etc/ipsec.conf.v1 >/etc/ipsec.conf
  PEMS=/etc/ipsec.d/*.pem
  if test "$PEMS" != "/etc/ipsec.d/*.pem"; then
    cp -p --backup=numbered $PEMS /etc/ipsec/certs/
    echo -e "The certificates\n$PEMS\nhave been copied to /etc/ipsec/certs/" \
	>>/var/adm/notify/messages/freeswan 
    echo "You may want to remove the old copies as soon as you stopped" \
	>>/var/adm/notify/messages/freeswan 
    echo -e "using FreeS/WAN-1.9x\n" >>/var/adm/notify/messages/freeswan 
  fi
fi

%preun
%{stop_on_removal ipsec}
# Some people expect to not loose their secrets even after multiple rpm -e.
if test -s etc/ipsec.secrets.rpmsave; then
  cp -p --backup=numbered etc/ipsec.secrets.rpmsave etc/ipsec.secrets.rpmsave.old
fi
exit 0

%postun
%{restart_on_update ipsec}
%{insserv_cleanup}

%changelog
* Mon Sep 07 2009 - mt@suse.de
- Applied fixes for the asn1_length() function checks to complete
  the fixes for the RDN parser DoS vulnerability discovered by
  Orange Labs research team two months ago (bnc#525388).
* Thu Jun 25 2009 - mt@suse.de
- Applied fixes for a Denial-of-Service vulnerabilities found by
  Orange Labs vulnerability research team in the parsing of ASN.1
  Relative Distinguished Names (RDNs), GENERALIZEDTIME and UTCTIME
  strings. Malformed X.509 certificate RDNs can cause the pluto
  and charon IKE daemons to crash and restart (CVE-2009-2185,
  bnc#515130). Further, the patch fixes also a name conflict with
  the glibc getline function by renaming of the own function.
* Mon Mar 23 2009 - mt@suse.de
- Fix for a Denial-of-Service vulnerability where a DPD R_U_THERE
  or R_U_THERE_ACK NOTIFY message (RFC 3706, Dead Peer Detection)
  received on UDP port 500 or 4500 and not related to an existing
  ISAKMP Security Association causes an immediate crash of the IKEv1
  pluto daemon while dereferencing a NULL state pointer (bnc#487762).
* Tue Mar 10 2009 - mt@suse.de
- Removed moot livetest tool (bnc#483803, CVE-2008-4190).
* Mon Sep 10 2007 - mt@suse.de
- Moved html and man3 documentation into openswan-doc
- Added a Short-Description LSB tag and $remote_fs start
  requirement to the init script (openswan_40_rcscript.dif)
- Added stop_on_removal/restart_on_update to rpm pre/postun
- Cleaned up installation of the documentation as well as
  another problems mentioned by rpmlint.
* Thu Jun 21 2007 - adrian@suse.de
- fix changelog entry order
* Fri Mar 23 2007 - mt@suse.de
- Bug #234042: Changed back internal nhelpers option default to
  use number of CPU-1 crypto worker. Added fallback to perform
  inline calculations in main process, when all worker are busy.
  Obsolete patch file: openswan_16_nhelpers_default.dif
  New patch file name: openswan_16_crypto_inline_fallback.dif
* Fri Mar 16 2007 - mt@suse.de
- Bug #234042: Applied proposed patch fixing bogus crypto helper
  management code. The number of crypto helpers (nhelpers option)
  has to be set at least to number of tunnels/2 + 1 to take effect.
  New patch file: openswan_15_crypto_helper_fix.dif
- Bug #234042: Applied fix to display correct crypto helper number
  in debug output of the pluto_do_crypto_op function. Changed the
  default of the nhelpers option to 0 (instead of number of CPU-1).
  This disables the crypto helpers by default (inline calculation).
  New patch file: openswan_16_nhelpers_default.dif
* Fri Jan 19 2007 - mt@suse.de
- Updated to openswan-2.4.7, providing interop fix for Sonicwall
  and many other fixes and cleanups, see CHANGES file.
- Adopted patches, removed obsolete patches:
  openswan_35_quiet-insmod.dif, openswan_37_aes_insmod.dif
* Thu Jan 18 2007 - mt@suse.de
- Minimal patch fixing strncat calls and casts breaking strict
  aliasing rules as mentioned by the compiler, Bug #233586
* Wed Aug 30 2006 - mt@suse.de
- updated to openswan-2.4.6, adopted patches. Now, the default
  ipsec.conf file contains "nhelpers=0" to avoid "failed to find
  any available worker" problems -- see also Bug #186061.
* Thu Mar 16 2006 - mt@suse.de
- Bug #148385, fixed further documentation inconsistence
  pointed out by Martin Mrazik.
* Thu Mar 09 2006 - mt@suse.de
- Bug #148385, fixed "ipsec auto" parameter in html docs
  (different file, same bug).
* Wed Feb 08 2006 - mt@suse.de
- Bug #148385, fixed "ipsec auto" parameter in html docs.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - kukuk@suse.de
- Add gmp-devel to nfb
* Mon Dec 19 2005 - ro@suse.de
- remove unpackaged symlinks
* Fri Nov 18 2005 - mt@suse.de
- Updated to openswan-2.4.4 fixing 3DES and aggressive mode
  related deny of service (VU#226364, 273756/NISCC/ISAKMP)
  as well as other issues. Bug #134158.
- Fixed link generation regex (openswan_08_doc-man2html.dif)
- Removed man2html source - not used any more to generate docs.
* Thu Oct 27 2005 - mt@suse.de
- Updated to openswan-2.4.0 (final). It does not provide any
  relevant changes in the source code (klips natt info only).
- Fixed Bug #116413 generation/installation of the html docs.
* Wed Sep 07 2005 - mt@suse.de
- Updated to openswan-2.4.0rc5 adding fix to dead peer
  detection cleanup and updown script. Adopted patches.
- Fixed return codes for "rcipsec status".
* Fri Aug 26 2005 - mt@suse.de
- Updated to openswan 2.4.0rc4 adding minor fixes
- Added workaround "plutowait=yes" setting to avoid failures of a
  first connect attempt in case where all crypto helpers was busy
  with setup of an other tunnel (Bug #412 on openswan.org).
  new patch file: openswan_42_plutowait-yes.dif
* Tue Aug 23 2005 - mt@suse.de
- Updated to openswan 2.4.0rc3 fixing a pluto crash when used
  with multiple L2TP/IPsec clients in transport mode behind NAT
* Fri Aug 19 2005 - mt@suse.de
- Updated to openswan 2.4.0rc1; obsoletetes patches:
  openswan_05_checkv199.dif, openswan_11_yyerror.dif,
  openswan_13_system.dif, openswan_20_noslave.dif,
  openswan_21_sigmask.dif, openswan_25_noxauth.dif,
  openswan_30_newhostkey.dif, openswan_36_ipsec_look.dif
- Applied diverse fixes for signed issues from cvs head:
  new patch file: openswan_11_gcc4cvshead.dif
* Tue Aug 16 2005 - mt@suse.de
- added dummy states if aggressive mode is disabled to
  avoid build dependend state numbering (from CVS head)
* Wed Aug 03 2005 - mt@suse.de
- improved aggressive mode patch openswan_24_noaggressive.dif
- merged updown patches 32 and 33 into openswan_32_updown-nexthop.dif,
  added skiping to add a route in some host to host tunnel cases
- renamed 36_sourceip-mask patch to openswan_33_updown-srcmask.dif
- renamed 12_gcc4sign patch to openswan_12_socklen.dif, improved
- renamed 13_gcc4warn patch to openswan_13_system.dif, improved
- added checks to ipsec look command to avoid "no such file" errors.
  new patch file: openswan_36_ipsec_look.dif
- workaround to load aes-$arch crypto module if not aliased (x86_64)
  new patch file: openswan_37_aes_insmod.dif
* Mon Jul 04 2005 - mt@suse.de
- Bug #66215: patch for updown script to solve SNAT/MASQUERADE
  problems with recent kernels, using netmask of the remote (peer)
  network instead of /32 for source address.
  New patch file: openswan_36_sourceip-mask.dif
* Mon Jul 04 2005 - mt@suse.de
- removed most of the GCC4 patch (openswan_12_gcc4sign.dif)
  because it breaks at least the asn1 decoding (pem parsing).
* Thu Jun 30 2005 - mt@suse.de
- added openswan_24_noaggressive.dif and openswan_25_noxauth.dif
  patches fixing dependencies to USE_AGGRESSIVE USE_XAUTH flags
- disabled AGGRESSIVE and XAUTH in openswan_00_features.dif
- added a openswan prefix to several source files
* Sat May 07 2005 - mt@suse.de
- added openswan_13_gcc4warn.dif patch, fixing diverse unused
  system() return codes mentioned by gcc4 in code using -Werror
* Sat May 07 2005 - mt@suse.de
- fixed GCC4 patch
* Sat May 07 2005 - mt@suse.de
- started to update to openswan-2.3.1
- adopted patches to match new sources
- renamed all patches to contain a number for
  manual applying and end with a .dif suffix
* Wed May 04 2005 - yxu@suse.de
- fixed for GCC4
* Mon Mar 21 2005 - mt@suse.de
- Bug #73863: added patch for _updown script to skip using nexthop
  (via parameter for ip route) if it is not reachable through any
  directly connected network (but via default route only).
  new patch file: openswan-updown-nexthop-not-local.dif
* Fri Jan 14 2005 - ro@suse.de
- use sigprocmask instead of sigsetmask in invokepluto
* Sun Sep 26 2004 - garloff@suse.de
- Fix initscript exit codes and messages. [#42604]
* Sat Sep 18 2004 - garloff@suse.de
- Update to openswan-2.2.0: Fixes for SA Selectors on 2.6.
- Add README.SUSE [#44368].
* Mon Sep 06 2004 - garloff@suse.de
- Update to openswan-2.2.0dr4: NAT-T & X.509 security fixes
- Drop openswan-dont-try-espinudp-on-ipv6.diff (integrated upstream)
- Drop openswan-natt.diff (integrated upstream)
* Sun Aug 29 2004 - garloff@suse.de
- Drop notification message.
* Thu Aug 19 2004 - garloff@suse.de
- Fix _realsetup script.
* Mon Aug 16 2004 - garloff@suse.de
- Fix noklips patch (but leave it disabled)
- NAT-T patch: The last message could have been wrongly be sent via
  the established tunnel.
* Fri Aug 13 2004 - garloff@suse.de
- Initial creation of openswan-2.2.0dr3
- Reuse many of the freeswan2 patches
